%define oname	gtkhtml

%define major	0
%define api	4.0
%define libname	%mklibname %{oname} %{api} %{major}
%define devname %mklibname -d %{oname} %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	HTML rendering/editing library
Name:		%{oname}4
Version:	4.4.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		Graphical desktop/GNOME
Source0:	http://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
# The patch is generated from upstream; please remove when updating to 4.4.2
Patch0:		gtkhtml-4.4.1-fix-evo-selection.patch
URL:		http://download.gnome-org/sources/%{oname}/
BuildRequires:	pkgconfig(gail-3.0) >= 3.0.2
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.2
BuildRequires:	pkgconfig(enchant) >= 1.1.7
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(ORBit-2.0)
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.26.0
BuildRequires:	pkgconfig(gnome-icon-theme) >= 2.22.0
BuildRequires:	intltool
Requires:	%{libname} >= %{version}

%description 
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%files -f %{oname}-%{api}.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README TODO
%{_datadir}/gtkhtml-%{api}

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for GtkHTML
Group:		System/Libraries

%description -n %{libname}
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains libraries used by GtkHTML.

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_libdir}/libgtkhtml-%{api}.so.%{major}*
%{_libdir}/libgtkhtml-editor-%{api}.so.%{major}*

#--------------------------------------------------------------------

%package -n %{devname}
Summary:	Development libraries, header files and utilities for GtkHTML
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{oname}-%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%files -n %{devname}
%defattr(-, root, root)
%doc ChangeLog
%{_bindir}/gtkhtml-editor-test4
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

#--------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1

%build
%configure2_5x \
	--disable-static \
	--program-suffix=4
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%{find_lang} %{oname}-%{api}


%changelog

* Fri May 04 2012 mitya <mitya> 4.4.1-1.mga2
+ Revision: 234702
- Fix Evolution text selection bug (see GNOME bug #672582)

* Mon Mar 26 2012 ovitters <ovitters> 4.4.0-1.mga2
+ Revision: 226533
- new version 4.4.0

* Mon Mar 19 2012 ovitters <ovitters> 4.3.92-1.mga2
+ Revision: 224284
- new version 4.3.92

* Tue Mar 06 2012 fwang <fwang> 4.3.91-1.mga2
+ Revision: 219671
- new version 4.3.91

* Mon Feb 06 2012 fwang <fwang> 4.3.5-1.mga2
+ Revision: 205290
- new version 4.3.5

* Mon Dec 19 2011 wally <wally> 4.3.3-1.mga2
+ Revision: 184516
- new version 4.3.3

* Mon Nov 21 2011 fwang <fwang> 4.3.2-1.mga2
+ Revision: 170246
- new version 4.3.2

* Fri Oct 28 2011 wally <wally> 4.3.1.1-1.mga2
+ Revision: 159202
- new version 4.3.1.1

* Sun Oct 16 2011 wally <wally> 4.2.1-1.mga2
+ Revision: 155528
- new version 4.2.1
- clean .spec a bit

* Sun Sep 25 2011 fwang <fwang> 4.2.0-1.mga2
+ Revision: 147592
- new version 4.2.0

* Mon Sep 19 2011 fwang <fwang> 4.1.92-1.mga2
+ Revision: 145432
- new version 4.1.92

* Sun Sep 04 2011 fwang <fwang> 4.1.91-1.mga2
+ Revision: 138362
- new version 4.1.91

* Wed Aug 31 2011 fwang <fwang> 4.1.90.1-1.mga2
+ Revision: 137212
- new version 4.1.90.1

* Mon Aug 29 2011 fwang <fwang> 4.1.90-1.mga2
+ Revision: 136113
- new version 4.1.90
- new version 4.1.5
- new version 4.1.4

* Tue Jul 05 2011 dmorgan <dmorgan> 4.1.3-1.mga2
+ Revision: 118772
- New version 4.1.3

* Mon Jun 13 2011 dmorgan <dmorgan> 4.0.1-1.mga2
+ Revision: 105903
- Fix file list
  Remove .la files
- imported package gtkhtml4


* Tue Apr 26 2011 Funda Wang <fwang@mandriva.org> 4.0.1-1mdv2011.0
+ Revision: 659110
- update to new version 4.0.1

* Mon Apr 04 2011 Funda Wang <fwang@mandriva.org> 4.0.0-1
+ Revision: 650155
- import gtkhtml4

